import request from '@/utils/request2'
// 新建直播间
export const createLiveBroadcast = data => {
  return request({
    url: '/api-web/imLiveBroadcastRoom/add',
    method: 'post',
    data,
    requestType: 'json',
  })
}

// 获取直播列表
export const getLiveBroadcastList = data => {
  return request({
    url: '/api-web/imLiveBroadcastRoom/queryPage',
    method: 'post',
    data,
    requestType: 'json',
  })
}

// 删除直播间
export const delLiveBroadcast = data => {
  return request({
    url: '/api-web/imLiveBroadcastRoom/delete',
    method: 'post',
    data,
    requestType: 'json',
  })
}

// 关闭直播间
export const closeLiveBroadcast = data => {
  return request({
    url: '/api-web/imLiveBroadcastRoom/delete',
    method: 'post',
    data,
    requestType: 'json',
  })
}

//查询房间信息 getLiveBroadcastRoomList
// imLiveBroadcastRoom/queryRoom
export const getLiveBroadcastRoomDetail= data => {
  return request({
    url: '/api-web/imLiveBroadcastRoomMember/queryRoomDetail',
    method: 'post',
    data,
  })
}

// 直播间详情 学生列表
export const getLiveBroadcastRoomDetailList= data => {
  return request({
    url: '/api-web/imLiveBroadcastRoomMember/queryRoomMember',
    method: 'post',
    data,
  })
}
// 修改直播间

export const resetLiveBroadcastRoomList= data => {
  return request({
    url: '/api-web/imLiveBroadcastRoom/update',
    method: 'post',
    data,
    requestType: 'json',
  })
}


// 获取群聊信息
export const getImList= data => {
  return request({
    url: '/api-web/imGroup/queryGroupList',
    method: 'get',
    data,
    params: data
  })
}

// 群聊分享
export const shareGroup= data => {
  return request({
    url: '/api-web/imLiveBroadcastRoom/shareGroup',
    method: 'get',
    data,
    params: data
  })
}
// 关闭直播间 imLiveBroadcastRoom/roomDestroy
export const closeBroadcastRoomList= data => {
  return request({
    url: '/api-web/imLiveBroadcastRoom/roomDestroy/'+data,
    method: 'get',
    data,
    params: data
  })
}
